Git Assignment: 2
- Consider working on a file for which you 
maintain a document as well in which you are
keeping the steps that you are performing 
for troubleshooting and you have 
accidentally added that file in your local 
repository and you have to get that file out
from your local but not from your file 
system. Use the git operations suitable for 
this scenario.
- Consider Creating a html file to display 
the Name of the ninja and the batch number 
after the html is created and pushed, create
a readme file for that html but after adding
it you realized that we also have to mention
the topics covered in the html file and we 
want to put those changes in the same last 
commit where html was originally pushed. Use
the git operations suitable for this 
scenario.
- Consider a scenario where we have created 
a feature branch from our master branch 
where you have to create the html file to 
display ninja's name and batch details, but 
you realized that the readme has to go first
in order for any new member as you are 
already in between the creation of your html
file you cannot send it to your remote 
branch, come up with a strategy where you 
can preserve your changes and first create 
the readme file and only after the readme is
pushed then you resume your work back on the
html file, use the appropriate git 
operations for the same



![image](/uploads/5049b84768dbbc79609b2a44f120b346/image.png)
![image](/uploads/0db2f446e11f56a70da0ee90f7fca567/image.png)
![image](/uploads/4cfd3e6ad24ee3a6d6f1f3905c46b353/image.png)
